"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("@sap-ux/logger");
/**
 * Static logger prevents passing of logger references through all functions, as this is a cross-cutting concern.
 */
class LoggerHelper {
    static _logger = new logger_1.ToolsLogger({ logPrefix: '@sap-ux/cf-deploy-config-inquirer' });
    /**
     * Get the logger.
     *
     * @returns the logger
     */
    static get logger() {
        return LoggerHelper._logger;
    }
    /**
     * Set the logger.
     *
     * @param value the logger to set
     */
    static set logger(value) {
        LoggerHelper._logger = value;
    }
}
exports.default = LoggerHelper;
//# sourceMappingURL=logger-helper.js.map